﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;

namespace InfragisticsTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void GridLoaded(object sender, RoutedEventArgs e)
        {
            var table = new DataTable();
            table.Columns.Add("Test");
            table.Columns["Test"].DataType = typeof (string);
            table.Rows.Add("Ait");
            table.Rows.Add("Bit");
            table.Rows.Add("Eit");
            table.Rows.Add("Pit");
            table.Rows.Add("Sit");
            table.Rows.Add("Vit");
            table.Rows.Add("Xit");
            table.Rows.Add("Yit");
            table.Rows.Add("it");
            table.Rows.Add("Kit");
            table.Rows.Add("Croup");

            var grid = sender as XamDataGrid;
            if(grid != null)
            {
                grid.DataSource = table.DefaultView;
            }
        }

        private void FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            if(e.FieldLayout == null) return;
            
            foreach(var field in e.FieldLayout.Fields)
            {
                var cellEditorStyle = new Style(typeof(XamTextEditor));
                cellEditorStyle.Setters.Add(new Setter(XamTextEditor.TextWrappingProperty, TextWrapping.Wrap));

                field.Settings.EditorStyle = cellEditorStyle;
            }
        }


    }
}
